> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the aggregate certification status for a track

> Get the aggregate certification status for a track - an aggregation of the state of all of the entities for the track.




## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml get /tracks/{trackId}/status
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /tracks/{trackId}/status:
    get:
      tags:
        - Tracks
      summary: Get the aggregate certification status for a track
      description: >
        Get the aggregate certification status for a track - an aggregation of
        the state of all of the entities for the track.
      operationId: getCertificationStatus
      parameters:
        - name: trackId
          in: path
          description: The ID of the track
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CertificationStatus'
        '404':
          description: Track not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CertificationStatus:
      type: object
      properties:
        id:
          type: string
        numberOfEntities:
          type: integer
        statusByLevel:
          type: array
          items:
            $ref: '#/components/schemas/CertificationLevelStatusTally'
      required:
        - id
        - numberOfEntities
        - statusByLevel
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    CertificationLevelStatusTally:
      type: object
      properties:
        ordinal:
          type: integer
        passed:
          type: integer
        failed:
          type: integer
        cumulativelyPassed:
          type: integer
        cumulativelyFailed:
          type: integer
        notReported:
          type: integer
      required:
        - ordinal
        - passed
        - failed
        - cumulativelyPassed
        - cumulativelyFailed
        - notReported
      additionalProperties: false

````